Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface FArgumentsC

All Known Implementing Classes:
  FArgumentsCImpl

public interface FArgumentsC
extends CreateC, CreateS, DropC, DropS

A language independent interface to dynamic call argument construction.. A language independent interface to dynamic call argument construction.

Method Summary
`java.lang.Object` | `addBoolean(boolean value)`
`java.lang.Object` | `addChar(char value)`
`java.lang.Object` | `addDouble(double value)`
`java.lang.Object` | `addFloat(float value)`
`java.lang.Object` | `addInt(int value)`
`java.lang.Object` | `addJavaObject(java.lang.Object obj)`
`java.lang.Object` | `addLong(int value)`
`java.lang.Object` | `addLongLong(long value)`
`void` | `addObject(java.lang.Object obj)`
`java.lang.Object` | `addSelector(Selector aSel)`
`java.lang.Object` | `addShort(short value)`
`java.lang.Object` | `addString(java.lang.String value)`
`java.lang.Object` | `addUnsigned(int value)`
`java.lang.Object` | `addUnsignedChar(byte value)`
`java.lang.Object` | `addUnsignedLong(int value)`
`java.lang.Object` | `addUnsignedLongLong(long value)`
`java.lang.Object` | `addUnsignedShort(short value)`
`java.lang.Object` | `create$setSelector(Zone aZone, Selector aSel)`
`java.lang.Object` | `setBooleanReturnType()`
`java.lang.Object` | `setJavaSignature(java.lang.String javaSignature)`
`java.lang.Object` | `setLanguage(Symbol languageType)`
`java.lang.Object` | `setObjCReturnType(char type)`
`java.lang.Object` | `setSelector(Selector aSel)` The selector is used to set argument types.

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### setLanguage

    public java.lang.Object setLanguage(Symbol languageType)

### setSelector

    public java.lang.Object setSelector(Selector aSel)

  The selector is used to set argument types. Some languages won't have any, and so for those languages this need not be called.

### setJavaSignature

    public java.lang.Object setJavaSignature(java.lang.String javaSignature)

### create$setSelector

    public java.lang.Object create$setSelector(Zone aZone,
                                               Selector aSel)

### addChar

    public java.lang.Object addChar(char value)

### addBoolean

    public java.lang.Object addBoolean(boolean value)

### addUnsignedChar

    public java.lang.Object addUnsignedChar(byte value)

### addShort

    public java.lang.Object addShort(short value)

### addUnsignedShort

    public java.lang.Object addUnsignedShort(short value)

### addInt

    public java.lang.Object addInt(int value)

### addUnsigned

    public java.lang.Object addUnsigned(int value)

### addLong

    public java.lang.Object addLong(int value)

### addUnsignedLong

    public java.lang.Object addUnsignedLong(int value)

### addLongLong

    public java.lang.Object addLongLong(long value)

### addUnsignedLongLong

    public java.lang.Object addUnsignedLongLong(long value)

### addFloat

    public java.lang.Object addFloat(float value)

### addDouble

    public java.lang.Object addDouble(double value)

### addString

    public java.lang.Object addString(java.lang.String value)

### addObject

    public void addObject(java.lang.Object obj)

### addSelector

    public java.lang.Object addSelector(Selector aSel)

### addJavaObject

    public java.lang.Object addJavaObject(java.lang.Object obj)

### setObjCReturnType

    public java.lang.Object setObjCReturnType(char type)

### setBooleanReturnType

    public java.lang.Object setBooleanReturnType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD